#Western Castle floor 2 treasure 3
from eventAPI import *
from APIUtils import *

rtcastle2chest3 = 0

def fireEvent(e):
   global rtcastle2chest3
   rtcastle2chest3 = getTag(e, "rtcastle2chest3")
   if (rtcastle2chest3 == 1):
      return 1
   else:
      showMessage(e, ["You find a cache of weapons and armor.  Very little of it is still usable."])
      chest(e, -1, 0, 0, ["Ice Gauntlets"], dice(1, 4, 1), "Treasure")
   rtcastle2chest3 = 1
   setTag(e, "rtcastle2chest3", rtcastle2chest3)
   return 1
